Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class ServerSignature

    java.lang.Object
      org.hyperic.hq.autoinventory.ServerSignature

All Implemented Interfaces:
  Serializable

    public class ServerSignature

extends Object
implements Serializable

The server signature described HOW to detect whether a server exists on a platform, without providing any details about how to discover anything about it beyond the fact that it exists. Useful when the agent is trying to discover what it has installed on its platform to decide which plugins it will need to pull from the server. Before the agent has any plugins it can use this class to determine which ones it will need.

See Also:
  Serialized Form

Constructor Summary
`ServerSignature()`
`ServerSignature(String name, List match, List exclude, List regMatch)`
`ServerSignature(String name, String[] match, String[] exclude, String[] regMatch)`

Method Summary
`boolean` | `equals(Object o)`
`String[]` | `getFileExcludePatterns()`
`String[]` | `getFileMatchPatterns()`
`String[]` | `getRegistryMatchPatterns()`
`String` | `getServerTypeName()`
`void` | `setFileExcludePatterns(String[] pats)`
`void` | `setFileMatchPatterns(String[] pats)`
`void` | `setRegistryMatchPatterns(String[] pats)`
`void` | `setServerTypeName(String stName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerSignature

    public ServerSignature()

### ServerSignature

    public ServerSignature(String name,
                           String[] match,
                           String[] exclude,
                           String[] regMatch)

### ServerSignature

    public ServerSignature(String name,
                           List match,
                           List exclude,
                           List regMatch)

Method Detail

### getServerTypeName

    public String getServerTypeName()

### setServerTypeName

    public void setServerTypeName(String stName)

### getFileMatchPatterns

    public String[] getFileMatchPatterns()

### setFileMatchPatterns

    public void setFileMatchPatterns(String[] pats)

### getFileExcludePatterns

    public String[] getFileExcludePatterns()

### setFileExcludePatterns

    public void setFileExcludePatterns(String[] pats)

### getRegistryMatchPatterns

    public String[] getRegistryMatchPatterns()

### setRegistryMatchPatterns

    public void setRegistryMatchPatterns(String[] pats)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.